<?php

$movers_agency_custom_css = "";

$movers_agency_primary_color = get_theme_mod('movers_agency_primary_color');
$movers_agency_secondary_color = get_theme_mod('movers_agency_secondary_color');
$movers_agency_tertiary_color = get_theme_mod('movers_agency_tertiary_color');

/*------------------ Primary Global Color -----------*/

if ($movers_agency_primary_color) {
  $movers_agency_custom_css .= ':root {';
  $movers_agency_custom_css .= '--primary-color: ' . esc_attr($movers_agency_primary_color) . ' !important;';
  $movers_agency_custom_css .= '} ';
}

/*------------------ Secondary Global Color -----------*/

if ($movers_agency_secondary_color) {
  $movers_agency_custom_css .= ':root {';
  $movers_agency_custom_css .= '--secondary-color: ' . esc_attr($movers_agency_secondary_color) . ' !important;';
  $movers_agency_custom_css .= '} ';
}

/*------------------ Tertiary Global Color -----------*/

if ($movers_agency_tertiary_color) {
  $movers_agency_custom_css .= ':root {';
  $movers_agency_custom_css .= '--tertiary-color: ' . esc_attr($movers_agency_tertiary_color) . ' !important;';
  $movers_agency_custom_css .= '} ';
}

/*-------------------- Container Width-------------------*/

$movers_agency_theme_width = get_theme_mod( 'movers_agency_theme_width','full-width');

if($movers_agency_theme_width == 'full-width'){
$movers_agency_custom_css .='body{';
	$movers_agency_custom_css .='max-width: 100% !important;';
$movers_agency_custom_css .='}';
}else if($movers_agency_theme_width == 'container'){
$movers_agency_custom_css .='body{';
	$movers_agency_custom_css .='width: 80% !important; padding-right: 15px; padding-left: 15px;  margin-right: auto !important; margin-left: auto !important;';
$movers_agency_custom_css .='}';
}else if($movers_agency_theme_width == 'container-fluid'){
$movers_agency_custom_css .='body{';
	$movers_agency_custom_css .='width: 95% !important;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$movers_agency_custom_css .='}';
}

/*-------------------- Scroll Top Alignment-------------------*/

$movers_agency_scroll_top_alignment = get_theme_mod( 'movers_agency_scroll_top_alignment','right-align');

if($movers_agency_scroll_top_alignment == 'right-align'){
$movers_agency_custom_css .='#button{';
	$movers_agency_custom_css .='right: 5%;';
$movers_agency_custom_css .='}';
}else if($movers_agency_scroll_top_alignment == 'center-align'){
$movers_agency_custom_css .='#button{';
	$movers_agency_custom_css .='right:0; left:0; margin: 0 auto;';
$movers_agency_custom_css .='}';
}else if($movers_agency_scroll_top_alignment == 'left-align'){
$movers_agency_custom_css .='#button{';
	$movers_agency_custom_css .='left: 5%;';
$movers_agency_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$movers_agency_archive_pagination_alignment = get_theme_mod( 'movers_agency_archive_pagination_alignment','left-align');

if($movers_agency_archive_pagination_alignment == 'right-align'){
$movers_agency_custom_css .='.pagination{';
	$movers_agency_custom_css .='justify-content: end;';
$movers_agency_custom_css .='}';
}else if($movers_agency_archive_pagination_alignment == 'center-align'){
$movers_agency_custom_css .='.pagination{';
	$movers_agency_custom_css .='justify-content: center;';
$movers_agency_custom_css .='}';
}else if($movers_agency_archive_pagination_alignment == 'left-align'){
$movers_agency_custom_css .='.pagination{';
	$movers_agency_custom_css .='justify-content: start;';
$movers_agency_custom_css .='}';
}

/*-------------------- Scroll Top Responsive-------------------*/

$movers_agency_resp_scroll_top = get_theme_mod( 'movers_agency_resp_scroll_top',true);
if($movers_agency_resp_scroll_top == true && get_theme_mod( 'movers_agency_footer_scroll_to_top',true) != true){
	$movers_agency_custom_css .='#button.show{';
		$movers_agency_custom_css .='visibility:hidden !important;';
	$movers_agency_custom_css .='} ';
}
if($movers_agency_resp_scroll_top == true){
	$movers_agency_custom_css .='@media screen and (max-width:575px) {';
	$movers_agency_custom_css .='#button.show{';
		$movers_agency_custom_css .='visibility:visible !important;';
	$movers_agency_custom_css .='} }';
}else if($movers_agency_resp_scroll_top == false){
	$movers_agency_custom_css .='@media screen and (max-width:575px){';
	$movers_agency_custom_css .='#button.show{';
		$movers_agency_custom_css .='visibility:hidden !important;';
	$movers_agency_custom_css .='} }';
}

/*-------------------- Preloader Responsive-------------------*/

	$movers_agency_resp_loader = get_theme_mod('movers_agency_resp_loader',false);
	if($movers_agency_resp_loader == true && get_theme_mod('movers_agency_preloader_setting',false) == false){
		$movers_agency_custom_css .='@media screen and (min-width:575px){
			.preloader{';
			$movers_agency_custom_css .='display:none !important;';
		$movers_agency_custom_css .='} }';
	}

	if($movers_agency_resp_loader == false){
		$movers_agency_custom_css .='@media screen and (max-width:575px){
			.preloader{';
			$movers_agency_custom_css .='display:none !important;';
		$movers_agency_custom_css .='} }';
	}

	// Scroll to top button shape 

	$movers_agency_scroll_border_radius = get_theme_mod( 'movers_agency_scroll_to_top_radius','curved-box');
    if($movers_agency_scroll_border_radius == 'box'){
		$movers_agency_custom_css .='#button{';
			$movers_agency_custom_css .='border-radius: 0px;';
		$movers_agency_custom_css .='}';
	}else if($movers_agency_scroll_border_radius == 'curved-box'){
		$movers_agency_custom_css .='#button{';
			$movers_agency_custom_css .='border-radius: 4px;';
		$movers_agency_custom_css .='}';
	}
	else if($movers_agency_scroll_border_radius == 'circle'){
		$movers_agency_custom_css .='#button{';
			$movers_agency_custom_css .='border-radius: 50%;';
		$movers_agency_custom_css .='}';
	}

  // Footer Background Image Attatchment 

	$movers_agency_footer_attatchment = get_theme_mod( 'movers_agency_background_attatchment','scroll');
	if($movers_agency_footer_attatchment == 'fixed'){
		$movers_agency_custom_css .='.site-footer{';
			$movers_agency_custom_css .='background-attachment: fixed;';
		$movers_agency_custom_css .='}';
	}elseif ($movers_agency_footer_attatchment == 'scroll'){
		$movers_agency_custom_css .='.site-footer{';
			$movers_agency_custom_css .='background-attachment: scroll;';
		$movers_agency_custom_css .='}';
	}

  // Menu Hover Style	

	$movers_agency_menus_item = get_theme_mod( 'movers_agency_menus_style','None');
    if($movers_agency_menus_item == 'None'){
		$movers_agency_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
			$movers_agency_custom_css .='';
		$movers_agency_custom_css .='}';
	}else if($movers_agency_menus_item == 'Zoom In'){
		$movers_agency_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
			$movers_agency_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$movers_agency_custom_css .='}';
			  
		$movers_agency_custom_css .= '.main-navigation ul ul li a:hover {';
		$movers_agency_custom_css .= 'margin-left: 20px;';
		$movers_agency_custom_css .= '}';
	}	

	// Post Content Alignment

	$movers_agency_blog_layout_option = get_theme_mod( 'movers_agency_blog_layout_option','Left');
	if($movers_agency_blog_layout_option == 'Left'){
		$movers_agency_custom_css .='.post{';
			$movers_agency_custom_css .='text-align: left;';
		$movers_agency_custom_css .='}';
	}elseif ($movers_agency_blog_layout_option == 'Right'){
		$movers_agency_custom_css .='.post{';
			$movers_agency_custom_css .='text-align: right;';
		$movers_agency_custom_css .='}';
	}elseif ($movers_agency_blog_layout_option == 'Center'){
		$movers_agency_custom_css .='.post{';
			$movers_agency_custom_css .='text-align: center;';
		$movers_agency_custom_css .='}';
	}